Description

Hi Philippe,

I have downloaded the birdfont file of yours from Redmine and I have replied the file with new symbols.

Here below i have attached that updated birdfont  file, Please find it.

Associated revisions

Revision 5d664775 - 21/04/2023 10:32 - Philippe May

Refs #14770: update default symbols

Revision 8f680364 - 21/04/2023 10:33 - Philippe May

Refs #14770: update font

Revision 8c8354f0 - 21/04/2023 10:46 - Philippe May

Refs #14770: reset symbols

History

#1 - 16/02/2023 15:10 - Philippe May

- Assignee changed from Philippe May to Selvarani C

This file is incredibly big! The original gisafSymbols.bf is less than 200kB, 30 times smaller than this one, only for around 100 more glyphs.

I could open few glyphs (characters) in Birdfont and noticed that there are a lot of useless points defining the paths (Bezier curves). Generally, we try

to draw the shapes with the least possible points.

I fear that it might impact greatly the performance of Gisaf - we can try though, but the ideal would be to simplify those path.

Meanwhile, i cannot convert the file to .ttf, which is the first step. The software just hangs. Can you please try, using the export function?

#2 - 17/02/2023 11:17 - Selvarani C

- File Gisaf_Fonts_2022-12-23.ttf added

- Assignee changed from Selvarani C to Philippe May

Hi Philippe,

Here below i have attached the .ttf of the same file, Please find it.
#3 - 17/02/2023 14:05 - Philippe May

Thanks. As i feared, the .ttf file is very big, 30 times bigger than the original. This will definitely impact the performance of Gisaf (loading time,

rendering time...) Acceptable or not, we'll see.

#4 - 25/02/2023 18:59 - Philippe May

OK, after quite a lot of work in-between (various major updates) i could generate the font files for the map and... they are almost the same size than

previously 
bowtie.png ! So i'm optimistic now that this new font won't create any issue with the rendering.

But there will be quite a lot of work adjusting all the layers with the new character codes. Some you can do (the survey/ISO layers), others i'll have to

do (the "Misc" ones).

I hope i can put the new version online tomorrow. We're almost there, thanks for your patience.

#5 - 02/03/2023 16:17 - Selvarani C

- File gisafSymbols.bf added

- File Gisaf_Fonts_2022-12-23.ttf added

- File Default UniCodes.docx added

Hi Philippe,

Here below i have attached the updated bird font file, ttf file and doc file with default symbols.

Please find it. Thanks.

#6 - 02/03/2023 17:56 - Philippe May

Thanks. For reference, the default characters (please avoid attaching files when a simple copy/paste is possible):

Point Default Code - U+e32b (0xe32b)

Line Default Code - U+e32c (0xe32c)

Polygon Default Code - U+e32d (0xe32d)

Well Default Code - U+e32e (0xe32e)

 

Note that i'm currently working on the server, updates etc, so it Gisaf might not be available.

#7 - 11/04/2023 17:01 - Giulio Di Anastasio

- File gisafSymbols.bf added

- File GisafSymbols 2023-04-10.ttf added

- File Gisaf Symbols check.xlsx added

Hi Philippe,

We have defined all the symbols, I attach here the birdfont file and the ttf of the same.
I also attach the comprehensive table of all symbols with changes to be made, and all relevant info, useful to cross check once the ttf is loaded into

the system.

The replacements to be done are:

AVES HT Line - U+e32c (0xe32c)

AVES LT Line - U+e32c (0xe32c)

Catchment Watershed - U+e32d (0xe32d)

Constituency - U+e32d (0xe32d)

Contour - U+e32c (0xe32c)

Geological Formation - U+e32d (0xe32d)

Optical Fiber - U+e32c (0xe32c)

River Channel - U+e32c (0xe32c)

Telephone Line - U+e32c (0xe32c)

Water Line - U+e32c (0xe32c)

Water Tank - U+e32d (0xe32d)

Archaeology - U+e32d (0xe32d)

Bench - U+e32d (0xe32d)

Building Outline - U+e32d (0xe32d)

Cut Outs - U+e32d (0xe32d)

Grave - U+e32d (0xe32d)

Grills - U+e32d (0xe32d)

Hut - U+e32d (0xe32d)

Line Details - U+e32c (0xe32c)

Metal - U+e32d (0xe32d)

Object - U+e32d (0xe32d)

Pillar, Column - U+e32d (0xe32d)

Platform - U+e32d (0xe32d)

Polygon Details - U+e32d (0xe32d)

Ramp - U+e32d (0xe32d)

Retaining Line - U+e32c (0xe32c)

Retaining Wall - U+e32d (0xe32d)

Roof - U+e32d (0xe32d)

Roof drains - U+e32d (0xe32d)

Shed - U+e32d (0xe32d)

Sports Field - U+e32d (0xe32d)

Stair Treads - U+e32d (0xe32d)

Store Container - U+e32d (0xe32d)

Temporary - U+e32d (0xe32d)

Undefined Manhole - U+e32d (0xe32d)

Wall - U+e32d (0xe32d)

Manhole - U+e32d (0xe32d)

Miscellaneous (Point) - U+e042 (0xe042)

Junction Box Outline - U+e32d (0xe32d)

Panels - U+e32d (0xe32d)

Towers - U+e32d (0xe32d)

Underground - U+e32c (0xe32c)

Manhole - U+e32d (0xe32d)

Overhead - U+e32c (0xe32c)

Panels - U+e32d (0xe32d)

Underground - U+e32c (0xe32c)

Transformers - U+e32d (0xe32d)

Solar Panels - U+e32d (0xe32d)

Miscellaneous Object (Polygon) - U+e32d (0xe32d)

Bushes And Shrubs - U+e32c (0xe32c)

Gate - U+e32c (0xe32c)

Hard Fence made of only granite pillars, or cement pillars, or other hard materials - U+e32c (0xe32c)

Mesh Or Wire - U+e32c (0xe32c)

Metal - U+e32c (0xe32c)

Boundary Wall - U+e32d (0xe32d)

Wood - U+e32c (0xe32c)

Cattle Grid - U+e32d (0xe32d)

Drip Irrigation Tubing - U+e32c (0xe32c)

Diversionary/Bypass Conduit/Culvert - U+e32c (0xe32c)

Drain Cover - U+e32d (0xe32d)

Equipment - U+e32d (0xe32d)

Hydrants And Connections - U+e32d (0xe32d)

Manhole - U+e32d (0xe32d)

Miscellaneous (pump, vortex) (Point) - U+e1e2 (0xe1e2)

Non-Potable Water Reuse-System - U+e32c (0xe32c)

Miscellaneous Object (Polygon) - U+e32d (0xe32d)

Pipeline - U+e32c (0xe32c)

Pools And Spas - U+e32d (0xe32d)

Potable Water-System - U+e32c (0xe32c)

Septic Tank - U+e32d (0xe32d)
Sanitary Sewer - U+e32c (0xe32c)

Sump - U+e32d (0xe32d)

Storage Tanks - U+e32d (0xe32d)

Underground - U+e32d (0xe32d)

Open Well - U+e32d (0xe32d)

Drain Bottom Artificial - U+e32c (0xe32c)

Drain Top Artificial - U+e32d (0xe32d)

Line Details - U+e32c (0xe32c)

Flow Meter - U+e1ea (0xe1ea)

Barrier - U+e32c (0xe32c)

Breakers - U+e32d (0xe32d)

Bridge - U+e32d (0xe32d)

Cyclepath - U+e32c (0xe32c)

Footpath - U+e32c (0xe32c)

Miscellaneous Object (Polygon) - U+e32d (0xe32d)

Outline - U+e32c (0xe32c)

Paved Surface - U+e32d (0xe32d)

Parking - U+e32d (0xe32d)

Accessible Ramp - U+e32d (0xe32d)

Unpaved Surface - U+e32d (0xe32d)

Road Splitter - U+e32d (0xe32d)

Line Details - U+e32c (0xe32c)

Polygon Details - U+e32d (0xe32d)

Bund Top - U+e32c (0xe32c)

Bund Bottom - U+e32c (0xe32c)

Ditches Or Washes - U+e32d (0xe32d)

Fill And Cover Material - U+e32d (0xe32d)

Limit Of Earthwork - U+e32d (0xe32d)

Boundary - U+e32c (0xe32c)

Coverage, Tree Leaves Spread - U+e32c (0xe32c)

Tree Trunk Girth - U+e32d (0xe32d)

Lawn Areas - U+e32d (0xe32d)

Bush Area - U+e32d (0xe32d)

Hedge - U+e32d (0xe32d)

Tree Trunk - U+e32d (0xe32d)

Dam - U+e32d (0xe32d)

Drain Bottom Natural - U+e32c (0xe32c)

Drain Top Natural - U+e32d (0xe32d)

Retention Pond - U+e32d (0xe32d)

Riprap - U+e32d (0xe32d)

Retention Pond Bottom - U+e32c (0xe32c)

Line Details - U+e32c (0xe32c)

Hope this helps, kindly let me know. Thanks
#8 - 21/04/2023 10:56 - Philippe May

- Assignee changed from Philippe May to Giulio Di Anastasio

I installed the new font, and reset the symbols for the layers in the "Misc" section.

#9 - 21/04/2023 17:16 - Giulio Di Anastasio

Thanks, the defaults for the Misc are now ok, with the exceptions of

AVES HT Equipment - U+e367 (0xe367)

AVES LT Equipment - U+e368 (0xe368)

Weather Station - U+e36d (0xe36d)

 

The Survey Major groups are still messed up, perhaps you can refer to the list I posted some days ago...

Files

gisafSymbols.bf 6.33 MB 18/01/2023 Selvarani C

Gisaf_Fonts_2022-12-23.ttf 8.67 MB 17/02/2023 Selvarani C

Default UniCodes.docx 11.7 KB 02/03/2023 Selvarani C

gisafSymbols.bf 6.35 MB 02/03/2023 Selvarani C

Gisaf_Fonts_2022-12-23.ttf 8.67 MB 02/03/2023 Selvarani C

gisafSymbols.bf 6.39 MB 11/04/2023 Giulio Di Anastasio

GisafSymbols 2023-04-10.ttf 8.65 MB 11/04/2023 Giulio Di Anastasio

Gisaf Symbols check.xlsx 34 KB 11/04/2023 Giulio Di Anastasio
